import Foundation
import Clairvoyant
import Vapor
import NIOCore

extension MultiThreadedEventLoopGroup: AsyncScheduler {

    public func schedule(asyncJob: @escaping @Sendable () async throws -> Void) {
        _ = any().makeFutureWithTask(asyncJob)
    }
}
